<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: MagentoClient</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: MagentoClient</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>
            <span class="ancestors"><a href="MagentoClient.html">MagentoClient</a>#</span>MagentoClient<span class="signature">(magentoConnection, defaultStore)</span><span class="type-signature"></span></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    

    
    <h4 class="name" id="MagentoClient"><span class="type-signature"></span>new MagentoClient<span class="signature">(magentoConnection, defaultStore)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    <p>Constructor description</p>
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>magentoConnection</code></td>
            

            <td class="type">
            
                
<span class="param-type">AxiosInstance</span>


            
            </td>

            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>MagentoConnection should be passed</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>defaultStore</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>


            
            </td>

            

            
                <td class="default">
                
                    all
                
                </td>
            

            <td class="description last"><p>Determines which store to default to when requesting data.</p></td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="MagentoClient.js.html">MagentoClient.js</a>, <a href="MagentoClient.js.html#line22">line 22</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="MagentoClient.html">MagentoClient</a></li><li><a href="MagentoClient_MagentoClient.html">MagentoClient</a></li><li><a href="MagentoConnection.html">MagentoConnection</a></li></ul><h3>Global</h3><ul><li><a href="global.html#connection">connection</a></li><li><a href="global.html#filter">filter</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Fri Feb 07 2020 12:43:27 GMT-0500 (Eastern Standard Time)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>